*************************************************************************
/* APPENDIX B TABLE 1: Job Flows Decomposition in All Industries  */

* Last edited : November 21, 2017
**************************************************************************

set more off
clear all

*Define directories
local dir "..." //Insert your directory path
local outdir "`dir'/AGNR-JobFlowsChinaShock/out/"
local datadir "`dir'/AGNR-JobFlowsChinaShock/data/sample/"


*Load dataset
use  "`datadir'main_industry.dta", clear

*keeping only the 3 year differences
keep year sic87dd *empchange_3 nets_emp_total nets_empchange_total

collapse(sum) nets*, by(year)

gen nets_emp_total_initial = nets_emp_total - nets_empchange_total

gen net_expansions = nets_exp_empchange_3 + nets_con_empchange_3

gen net_births = nets_birth_empchange_3 + nets_death_empchange_3

drop if year < 1995

order year nets_emp_total_initial nets_emp_total nets_birth_empchange_3 nets_death_empchange_3 nets_exp_empchange_3 nets_con_empchange_3 net_expansions net_births nets_empchange_total 
drop nets_nochange_empchange_3 nets_other_empchange_3

export excel using "`outdir'appb_tab1.xlsx", firstrow(variables) replace

